> ## Documentation Index
> Fetch the complete documentation index at: https://developers.e-cross.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Update price (destination)

> Update SKU price using destination pricing model

This API performs online validation of the input and queues the price localization to be asynchronously processed.

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST 'https://product.api.e-cross.tech/ext/prices/destination/1234567891' \
    -H 'Authorization: Bearer YOUR_TOKEN' \
    -H 'Content-Type: application/json' \
    -d '{
      "salesChannel": "ECOM",
      "country": "BR",
      "listPrice": 30.00,
      "salePrice": 30.00
    }'
  ```
</RequestExample>

<ResponseExample>
  ```json Success theme={null}
  {
    "status": "LOCALIZATION IN PROGRESS",
    "publishedCount": 1,
    "publishedSkus": [
      "1234567891"
    ],
    "failedCount": 0,
    "failedSkus": [],
    "merchantId": "ACME"
  }
  ```
</ResponseExample>

### Path Parameters

<ParamField path="skuId" type="string" required>
  Identifier of the SKU (the SKU\_ID used to create the SKU).
</ParamField>

### Request Parameters

<ParamField body="salesChannel" type="string" required>
  Identifier of the destination sales channel. Refer to the [Sales Channels](/api-reference/overview/sales-channels) page for the list of available sales channels.
</ParamField>

<ParamField body="country" type="string" required>
  Identifier of the destination sales channel's country (e.g., `BR` for Brazil).
</ParamField>

<ParamField body="listPrice" type="number">
  Use this when you want to apply a price promotion. The value must be informed in the sales channel's local currency and will be integrated with the sales channel as-is.

  Ex: in the product card, if you want it to display "R\$ ~~250,00~~ 200,00", you must inform the `listPrice` as 250.00.
</ParamField>

<ParamField body="salePrice" type="number" required>
  The final retail price of the product in the sales channel. The value must be informed in the sales channel's local currency and will be integrated with the sales channel as-is. The localization process will be executed to calculate the estimated payout value.
</ParamField>

### Response Fields

<ResponseField name="status" type="string">
  Status of the localization process. Can be `LOCALIZATION IN PROGRESS` (queued) or `ERROR` (error in request).
</ResponseField>

<ResponseField name="publishedCount" type="integer">
  The number of price localization requests that were queued.
</ResponseField>

<ResponseField name="publishedSkus" type="array">
  Array of SKU IDs that were queued to be localized.
</ResponseField>

<ResponseField name="failedCount" type="integer">
  The number of price localization requests that failed.
</ResponseField>

<ResponseField name="failedSkus" type="array">
  Array of SKU IDs that failed to be queued for localization.
</ResponseField>

<ResponseField name="merchantId" type="string">
  The merchant ID of this localization context.
</ResponseField>
